Update flow settings for a specific consumer
curl --request PATCH \
--url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/flows/{flowid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"triggerid": "trigger-1",
"data": {}
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}"
payload = {
"triggerid": "trigger-1",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({triggerid: 'trigger-1', data: {}})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "The flow is not yet activated for this consumer",
"status": "error"
}{
"message": "Error while validating context data; the field {field_name} does not seem to be of type {field_type}",
"status": "error"
}Syncs
Update flow settings for a specific consumer
Route that can be used to update the flow configuration for a specific consumer. It will merge the new configuration with the existing one.
PATCH
/
consumers
/
{consumer_id}
/
syncs
/
{syncid}
/
flows
/
{flowid}
Update flow settings for a specific consumer
Authorizations
This access token needs to be included in each of your request to the Chift API.
Path Parameters
Body
application/json
Response
Successful Response
⌘I